Bug 429507 - udev hanging after running salsa
udev hanging after running salsa
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-21 03:14 EST by Benjamin Lewis
Modified: 2009-05-17 15:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:49:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Benjamin Lewis 2008-01-21 03:14:47 EST
Description of problem:
udev hangs on startup


Version-Release number of selected component (if applicable):


How reproducible:
Every boot

Steps to Reproduce:
1. Boot
2. udev hangs
3. 
  
Actual results:
udev hangs, it seems to do so after running /sbin/salsa a few times, I'll attach
a photo of my screen later today

Expected results:
udev dosn't hang

Additional info:
I am currently booting by CTRL+Z-ing to get past the hang, but this means I
cannot mount any USB devices.
Comment 1 Jon Stanley 2008-01-21 16:01:10 EST
What kind of sound hardware do you have?  Could you further explain at what
point udev hangs (I would assume that it's during the boot process).
Comment 2 Benjamin Lewis 2008-01-21 16:19:38 EST
Well, I've done a bit of digging and blacklisting the pegasus module seems to
fix this as it is taking control of my bluetooth dongle when it shouldn't. But
that leaves the question as why the last thing udev does is run salsa?

FYI, I have a:
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 02)

(Taken directly from lspci ;))
Comment 3 Jon Stanley 2008-01-21 16:28:48 EST
salsa is run from udev in 90-alsa.rules, when it finds a soundcard.  Makes sense
to me that it's one of the last things that runs.  Can I go ahead and close this
bug now?
Comment 4 Benjamin Lewis 2008-01-21 16:57:31 EST
Well, no, since udev still hung, when imho it shouldn't, albeit the reason is
different.
Comment 5 Harald Hoyer 2008-01-22 03:32:14 EST
Is "/sbin/salsa" hanging? Does udev wait for salsa?
Comment 6 Benjamin Lewis 2008-01-22 11:54:54 EST
No, I erroneously though that was the case. 

Whenever I have my Bluetooth dongle plugged in on startup, _without_ the pegasus
module blacklisted udev hangs. It just happens to be the case that the final
messga ei get when booting with udevinfo is about /sbin/salsa running
_successfully_ so udev is waiting on something else.
Comment 7 Harald Hoyer 2008-02-20 05:46:39 EST
what happens if you plugin your bluetooth dongle later on?

run:
# udevcontrol log_priority=info
# udevmonitor

then plugin your dongle
Comment 8 Harald Hoyer 2008-02-20 06:14:05 EST
Please attach the output of udevmonitor and:
# grep udev /var/log/messages
Comment 9 Bug Zapper 2008-11-26 04:30:39 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 00:49:39 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.